using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Petlja_A_Isplata
{
    class Program
    {
        static void Main(string[] args)
        {
               ulong broj = Convert.ToUInt64(Console.ReadLine());

              ulong br=0;

              while(broj!=0)
              {
                int temp = Convert.ToInt32(broj % 10);
                  if(temp>=5)
                  {
                      temp -= 5;
                      br++;
                  }
                  if(temp>=2)
                  {
                    br += Convert.ToUInt64(temp / 2);
                    temp -= 2;
                  }
                if (temp == 1)
                    br++;

                  broj = (broj - (broj % 10)) / 10;
            }

            Console.WriteLine(br);
            Console.ReadLine();
        }
    }
}